
Redmine - Feature #4551

Current Version Field

2010-01-12 00:55 - Josh Toft

Status: New Start date: 2010-01-12

Priority: Normal Due date:  

Assignee:  % Done: 70%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I'd love there to be a current version field under the Admin Page, for redmine, trac already has this and you can run searches/filters

across it.

Current version is effectively a pointer to another version.

The current version cannot be a closed version, and will automatically update to the next-in-line version if the current is closed.

Current version should be an option in filters, so that you can use it for referencing tickets.

Related issues:

Related to Redmine - Feature #3324: Default version of a project Closed 2009-05-08

History

#1 - 2010-01-12 03:07 - Greg Moon

- % Done changed from 0 to 70

#2 - 2010-01-14 09:29 - Thomas Pihl

This wouldnt work for us. We have several projects and they have their own current version. It must be something on project level, not admin level.

I understand it works in trac since that is a single-project-tool.

Just my 0.02 SEK (swedish pesetas)

/T

#3 - 2010-01-14 21:07 - Josh Toft

Sure, project level. Same idea. Still would be extremely useful.

#4 - 2010-06-24 14:17 - Fabien ROQUET

+1

#5 - 2012-11-29 07:47 - Steven Wong

+1

#6 - 2013-03-25 22:21 - Dipan Mehta

The first point is really dependent on workflow. In our systems, current version for 'bugs' is same as when it was found and hence should not be

updated.

The second point is now possible out-of-the-box using custom field of type "version".

This issue should be closed now.
